Subject: Re: [PATCH] ppc44x: support for 256K PAGE_SIZE

From: Yuri Tikhonov <[email-masked]>
Date: Thu, 18 Oct 2007 17:30:17 +0400

On Thursday 18 October 2007 17:25, Josh Boyer wrote:
> >  Understood. The situation here is that the boards, which required these
> > modifications, have no support in the arch/powerpc branch. So this is 
> > why we made this in arch/ppc.
> 
> Bit of a dilemma then.  What board exactly?

 These are the Katmai and Yucca PPC440SPe-based boards (from AMCC).

> > > Also, I'd rather see something along the lines of hugetlbfs support instead.
> > 
> >  Here I agree with Benjamin. Furthermore, IIRC the hugetlb file-system is
> > supported for PPC64 architectures only. Here we have PPC32.
> 
> Well that needs fixing anyway, but ok.  Also, is the modified binutils
> only required for userspace to take advantage here?  Seems so, but I'd
> just like to be sure.

 You are right, for userspace only. 

> josh

-- 
Yuri Tikhonov, Senior Software Engineer
Emcraft Systems, www.emcraft.com